# Get Beneficial Owner Return details of a beneficial owner. Endpoint: GET /merchants/{merchantId}/owners/{ownerId} Version: 3.0 Security: Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT ## Path parameters: - `merchantId` (string, required) - `ownerId` (string, required) Identifier of beneficial owner ## Response 200 fields (application/json): - `ownerId` (string, required) - `profile` (object, required) - `profile.title` (string, required) Title, in relation to the business - `profile.roles` (array, required) Roles of the beneficial owner. Enum: "Executive", "Owner", "Director" - `profile.givenName` (string, required) - `profile.middleName` (string) - `profile.familyName` (string, required) - `profile.dateOfBirth` (string, required) Date of birth in ISO-8601 - `profile.address` (object, required) - `profile.address.unitNumber` (string) The address unit number - `profile.address.streetNumber` (string, required) The address street number - `profile.address.streetName` (string, required) The address street name - `profile.address.streetType` (string) The address street type, eg Street or Road – not mandatory because 12 The Esplanade - `profile.address.suburb` (string) The address suburb - `profile.address.city` (string) The address city - `profile.address.postalCode` (string, required) The address postal code. Should be digits between 4 and 10 characters long. - `profile.address.state` (string) The address state - `profile.address.country` (string, required) The address country Enum: "AU", "HK", "NZ", "SG", "ZA", "US" - `profile.emailAddress` (string, required) - `profile.phoneNumber` (string, required) Phone number in E164 format, eg.+61400000000 - `profile.passport` (object) - `profile.passport.country` (string, required) Enum: "AU", "HK", "NZ", "SG", "ZA", "US" - `profile.passport.passportNumber` (string, required) - `profile.passport.expiryDate` (string, required) - `profile.driverLicence` (object) - `profile.driverLicence.driverLicenceNumber` (string, required) - `profile.driverLicence.documentNumber` (string) Required for Australia driver licence - `profile.driverLicence.versionNumber` (string) Required for New Zealand driver licence - `profile.driverLicence.state` (string) - `profile.verificationDocs` (object) - `profile.verificationDocs.idType` (string, required) Enum: "Passport", "DriverLicence" - `profile.verificationDocs.docFrontFileId` (string, required) System unique identifier for the file for the front of the document - `profile.verificationDocs.docBackFileId` (string) (Optional) System unique identifier for the file for the back of the document. This is not required if idType is Passport - `verificationResult` (object, required) - `verificationResult.status` (string, required) Enum: "Pending", "Verified" - `verificationResult.errorCodes` (array) Enum: "InvalidAddress", "DocumentAddressMismatch", "DocumentAddressMissing", "DocumentCountryNotSupported", "DocumentDobMismatch", "DocumentDuplicateType", "DocumentExpired", "DocumentFailedCopy", "DocumentFailedGreyscale", "DocumentFailedOther", "DocumentFraudulent", "DocumentIdNumberMismatch", "DocumentIdNumberMissing", "DocumentIncomplete", "DocumentInvalid", "DocumentIssueOrExpiryDateMissing", "DocumentMissingBack", "DocumentMissingFront", "DocumentSameFrontBack", "DocumentNameMismatch", "DocumentNameMissing", "DocumentNationalityMismatch", "DocumentNotReadable", "DocumentNotSigned", "DocumentNotUploaded", "DocumentPhotoMismatch", "DocumentTooLarge", "DocumentTypeNotSupported", "FailedAddressMatch", "FailedBusinessIecNumber", "FailedDocumentMatch", "FailedIdNumberMatch", "FailedKeyedIdentity", "FailedKeyedMatch", "FailedNameMatch", "FailedOther", "FailedTaxIdMatch", "FailedTaxIdNotIssued", "InvalidTaxId", "RequiresAdditionalMemorandumOfAssociations", "MissingExecutives", "MissingOwners", "MissingDirectors", "MissingOwnerOrExecutive", "MissingIndividual", "PersonInformationMissing", "MissingGatewayPersonAccount", "InvalidPersonAge", "MissingBankAccount", "MerchantGatewayAccountMissing", "InvalidBusinessName", "CompanyTypeMissing", "PartnershipAgreementDocMissing", "TrustDeedDocMissing", "InvalidPostalCode", "InvalidState", "InvalidCity", "InvalidPhoneNum", "InvalidTimeZone", "InvalidWebsite", "InvalidSupportSite", "InvalidCardStatementName", "InvalidSmsSenderName", "InvalidBrandName", "InvalidContactEmail", "InvalidSupportEmail", "InvalidSlug", "DocumentBackNotNeeded", "DriverLicenceMissing", "PassportMissing", "IdMissing", "MultipleIdsFound", "UnsupportedIdType", "DriverLicenceStateMissing", "DriverLicenceDocumentNumberMissing", "DriverLicenceVersionNumberMissing", "InvalidNzDriverLicenceVersion", "DriverLicenceStateNotNeeded", "PassportExpired", "InvalidBusinessContactFirstName", "InvalidBusinessContactLastName", "InvalidBusinessCountry", "InvalidBusinessAddress", "InvalidPersonAddress", "InvalidFirstName", "InvalidLastName", "InvalidTradeType", "InvalidTradeLicence", "MerchantIsNotActive", "MerchantAlreadyVerified", "MerchantStateInvalid", "IndustryMissing", "UnknownError" - `verificationResult.details` (array) - `isDeletable` (boolean, required) ## Response 400 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 401 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 403 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 404 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 405 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 406 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 409 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 422 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 429 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 500 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 503 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata